# Notwendige Frontend-Änderungen

1. Frontend-Authentifizierung anpassen:
   - GitHub OAuth durch lokale Authentifizierung ersetzen
   - Login-Komponenten für Benutzername/Passwort erstellen
   - Registrierungs-Formular implementieren
   - API-Routen für Login- und Registrierungsprozess anpassen

2. Datenbankschema:
   - Users-Tabelle anpassen um Passwort-Hash zu unterstützen
   - GitHub-ID entfernen oder optional machen

3. Auth-System:
   - Lucia.js: Anpassung von OAuth auf Formular-basierte Authentifizierung
   - Session-Management beibehalten

4. API-Endpunktanpassungen:
   - Neue Login und Register-Endpunkte erstellen
   - Route für initialen Admin-Setup

Die Änderungen im Frontend sind umfangreicher, da das aktuelle System stark auf GitHub OAuth ausgerichtet ist und komplett umgestellt werden muss.

